Subject: Re: [PATCH net-next] net: phy: micrel: Add support for non PTP SKUs for lan8814

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 21 Oct 2025 10:03:56 +0100

On Mon, Oct 20, 2025 at 08:11:13PM +0200, Gerhard Engleder wrote:
> On 20.10.25 08:39, Horatiu Vultur wrote:
> > The 10/17/2025 23:15, Gerhard Engleder wrote:
> 
> ...
> 
> > > > 
> > > > +/* Check if the PHY has 1588 support. There are multiple skus of the PHY and
> > > > + * some of them support PTP while others don't support it. This function will
> > > > + * return true is the sku supports it, otherwise will return false.
> > > > + */
> > > 
> > > Hasn't net also switched to the common kernel multiline comment style
> > > starting with an empty line?
> > 
> > I am not sure because I can see some previous commits where people used
> > the same comment style:
> > e82c64be9b45 ("net: stmmac: avoid PHY speed change when configuring MTU")
> > 100dfa74cad9 ("net: dev_queue_xmit() llist adoption")
> 
> The special coding style for multi line comments for net and drivers/net has
> been removed with
> 82b8000c28 ("net: drop special comment style")
> 
> But I checked a few mails on the list and also found the old style in
> new patches.

I hope this means we aren't going to be flooded with loads of "cleanup"
patches converting the comment style.

I also think that the general rule of coding should still apply: keep to
the style that is already present in the file being modified - or if
you're intending to change style, one of the initial patches should do
that before one's own modifications (so the style remains consistent.)
Hopefully netdev maintainers will agree with this ^^^ :)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!